Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Policy_Set Class Reference

`#include <POA_Policy_Set.h>`

Collaboration diagram for TAO_POA_Policy_Set:

[legend]
List of all members.

## Public Methods
| TAO_POA_Policy_Set ()
| TAO_POA_Policy_Set (const TAO_POA_Policy_Set &rhs)
| ~TAO_POA_Policy_Set (void)
CORBA::Policy * | get_policy_by_index (CORBA::ULong index)
CORBA::ULong | num_policies (void) const
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy.
void | merge_policies (const CORBA::PolicyList &policies ACE_ENV_ARG_DECL)
void | merge_policy (const CORBA::Policy_ptr policy ACE_ENV_ARG_DECL)
void | validate_policies (TAO_Policy_Validator &validator, TAO_ORB_Core &orb_core ACE_ENV_ARG_DECL)
void | add_client_exposed_fixed_policies (CORBA::PolicyList *client_exposed_policies ACE_ENV_ARG_DECL)
| Add all of the client exposed policies to the specified list.
TAO_Policy_Set & | policies (void)
## Protected Attributes
TAO_Policy_Set | impl_

## Constructor & Destructor Documentation

TAO_POA_Policy_Set::TAO_POA_Policy_Set | ( |  | ) |

TAO_POA_Policy_Set::TAO_POA_Policy_Set | ( | const TAO_POA_Policy_Set & | rhs | ) |

TAO_POA_Policy_Set::~TAO_POA_Policy_Set | ( | void |  | ) |

## Member Function Documentation

void TAO_POA_Policy_Set::add_client_exposed_fixed_policies | ( | CORBA::PolicyList *client_exposed_policies | ACE_ENV_ARG_DECL | ) |

| Add all of the client exposed policies to the specified list.

ACE_INLINE CORBA::Policy_ptr TAO_POA_Policy_Set::get_cached_policy | ( | TAO_Cached_Policy_Type | type | ) |

| Obtain a single cached policy.

ACE_INLINE CORBA::Policy * TAO_POA_Policy_Set::get_policy_by_index | ( | CORBA::ULong | index | ) |

| Returns the policy at the specified index. CORBA::Policy::_nil () is returned if the policy doesn't exist

ACE_INLINE void TAO_POA_Policy_Set::merge_policies | ( | const CORBA::PolicyList &policies | ACE_ENV_ARG_DECL | ) |

ACE_INLINE void TAO_POA_Policy_Set::merge_policy | ( | const CORBA::Policy_ptr policy | ACE_ENV_ARG_DECL | ) |

ACE_INLINE CORBA::ULong TAO_POA_Policy_Set::num_policies | ( | void |  | ) | const

ACE_INLINE TAO_Policy_Set & TAO_POA_Policy_Set::policies | ( | void |  | ) |

void TAO_POA_Policy_Set::validate_policies | ( | TAO_Policy_Validator & | validator,
|  | TAO_ORB_Core &orb_core | ACE_ENV_ARG_DECL
| ) |

## Member Data Documentation

TAO_Policy_Set TAO_POA_Policy_Set::impl_`[protected]`

The documentation for this class was generated from the following files:

- POA_Policy_Set.h
- POA_Policy_Set.cpp
- POA_Policy_Set.i